#!/bin/sh

# $Id: genlinks.sh,v 1.5 2002/09/25 11:42:55 dude Exp $
#
# Script to automatically generate absolute links to your local Red Hat Linux
# mirror directories in order to later generate apt repositories.
#

if [ -z "$1" ]; then
    echo "Usage :   $0 <path to your Red Hat Linux mirror>"
    echo "Example : $0 /var/ftp/pub/redhat/linux"
    exit 1
fi

if [ ! -d "./redhat" ]; then
    echo "ERROR : Could not find \"redhat\" directory in current working directory"
    echo "Please run this script from within your apt tree..."
fi

MIRDIR=$1

if [ -d "$1/7.0/en" ]; then
echo -n "Creating Red Hat Linux 7.0 en links..."
rm -f redhat/7.0/en/i386/* 2>/dev/null
ln -s $1/7.0/en/os/i386/RedHat/RPMS redhat/7.0/en/i386/RPMS.os
ln -s $1/7.0/en/os/i386/SRPMS redhat/7.0/en/i386/SRPMS.os
ln -s $1/7.0/en/powertools/i386/RedHat/RPMS redhat/7.0/en/i386/RPMS.powertools
ln -s $1/7.0/en/powertools/i386/SRPMS redhat/7.0/en/i386/SRPMS.powertools
ln -s $1/updates/7.0/en/os/SRPMS redhat/7.0/en/i386/SRPMS.updates
echo " ...done"
fi

if [ -d "$1/7.0/ja" ]; then
echo -n "Creating Red Hat Linux 7.0 ja links..."
rm -f redhat/7.0/ja/i386/* 2>/dev/null
ln -s $1/7.0/ja/os/i386/RedHat/RPMS redhat/7.0/ja/i386/RPMS.os
ln -s $1/7.0/ja/os/i386/SRPMS redhat/7.0/ja/i386/SRPMS.os
ln -s $1/updates/7.0/ja/os/SRPMS redhat/7.0/ja/i386/SRPMS.updates
echo " ...done"
fi

if [ -d "$1/7.0/tc" ]; then
echo -n "Creating Red Hat Linux 7.0 tc links..."
rm -f redhat/7.0/tc/i386/* 2>/dev/null
ln -s $1/7.0/tc/os/i386/RedHat/RPMS redhat/7.0/tc/i386/RPMS.os
ln -s $1/7.0/tc/os/i386/SRPMS redhat/7.0/tc/i386/SRPMS.os
echo " ...done"
fi


if [ -d "$1/7.1/en" ]; then
echo -n "Creating Red Hat Linux 7.1 en links..."

if [ -d "$1/7.1/en/os/i386" ]; then
echo -n " i386"
rm -f redhat/7.1/en/i386/* 2>/dev/null
ln -s $1/7.1/en/os/i386/RedHat/RPMS redhat/7.1/en/i386/RPMS.os
ln -s $1/7.1/en/os/i386/SRPMS redhat/7.1/en/i386/SRPMS.os
ln -s $1/7.1/en/powertools/i386/RedHat/RPMS redhat/7.1/en/i386/RPMS.powertools
ln -s $1/7.1/en/powertools/i386/SRPMS redhat/7.1/en/i386/SRPMS.powertools
ln -s $1/updates/7.1/en/os/SRPMS redhat/7.1/en/i386/SRPMS.updates
fi

if [ -d "$1/7.1/en/os/ia64" ]; then
echo -n " ia64"
rm -f redhat/7.1/en/ia64/* 2>/dev/null
ln -s $1/7.1/en/os/ia64/RedHat/RPMS redhat/7.1/en/ia64/RPMS.os
ln -s $1/7.1/en/os/ia64/SRPMS redhat/7.1/en/ia64/SRPMS.os
ln -s $1/updates/7.1/en/os/SRPMS redhat/7.1/en/ia64/SRPMS.updates
fi

echo " ...done"
fi

if [ -d "$1/7.1/kr" ]; then
echo -n "Creating Red Hat Linux 7.1 kr links..."
rm -f redhat/7.1/kr/i386/* 2>/dev/null
ln -s $1/7.1/kr/os/i386/RedHat/RPMS redhat/7.1/kr/i386/RPMS.os
ln -s $1/7.1/kr/os/i386/SRPMS redhat/7.1/kr/i386/SRPMS.os
echo " ...done"
fi


if [ -d "$1/7.2/en" ]; then
echo -n "Creating Red Hat Linux 7.2 en links..."

if [ -d "$1/7.2/en/os/i386" ]; then
echo -n " i386"
rm -f redhat/7.2/en/i386/* 2>/dev/null
ln -s $1/7.2/en/os/i386/RedHat/RPMS redhat/7.2/en/i386/RPMS.os
ln -s $1/7.2/en/os/i386/SRPMS redhat/7.2/en/i386/SRPMS.os
ln -s $1/updates/7.2/en/os/SRPMS redhat/7.2/en/i386/SRPMS.updates
fi

if [ -d "$1/7.2/en/os/ia64" ]; then
echo -n " ia64"
rm -f redhat/7.2/en/ia64/* 2>/dev/null
ln -s $1/7.2/en/os/ia64/RedHat/RPMS redhat/7.2/en/ia64/RPMS.os
ln -s $1/7.2/en/os/ia64/SRPMS redhat/7.2/en/ia64/SRPMS.os
ln -s $1/updates/7.2/en/os/SRPMS redhat/7.2/en/ia64/SRPMS.updates
fi

if [ -d "$1/7.2/en/os/s390" ]; then
echo -n " s390"
rm -f redhat/7.2/en/s390/* 2>/dev/null
ln -s $1/7.2/en/os/s390/RedHat/RPMS redhat/7.2/en/s390/RPMS.os
ln -s $1/7.2/en/os/s390/SRPMS redhat/7.2/en/s390/SRPMS.os
ln -s $1/updates/7.2/en/os/SRPMS redhat/7.2/en/s390/SRPMS.updates
fi

echo " ...done"
fi


if [ -d "$1/7.2/ja" ]; then
echo -n "Creating Red Hat Linux 7.2 ja links..."
rm -f redhat/7.2/ja/i386/* 2>/dev/null
ln -s $1/7.2/ja/os/i386/RedHat/RPMS redhat/7.2/ja/i386/RPMS.os
ln -s $1/7.2/ja/os/i386/SRPMS redhat/7.2/ja/i386/SRPMS.os
echo " ...done"
fi


if [ -d "$1/7.3/en" ]; then
echo -n "Creating Red Hat Linux 7.3 en links..."
rm -f redhat/7.3/en/i386/* 2>/dev/null
ln -s $1/7.3/en/os/i386/RedHat/RPMS redhat/7.3/en/i386/RPMS.os
ln -s $1/7.3/en/os/i386/SRPMS redhat/7.3/en/i386/SRPMS.os
ln -s $1/updates/7.3/en/os/SRPMS redhat/7.3/en/i386/SRPMS.updates
echo " ...done"
fi


if [ -d "$1/8.0/en" ]; then
echo -n "Creating Red Hat Linux 8.0 en links..."
rm -f redhat/8.0/en/i386/* 2>/dev/null
ln -s $1/8.0/en/os/i386/RedHat/RPMS redhat/8.0/en/i386/RPMS.os
ln -s $1/8.0/en/os/i386/SRPMS redhat/8.0/en/i386/SRPMS.os
ln -s $1/updates/8.0/en/os/SRPMS redhat/8.0/en/i386/SRPMS.updates
echo " ...done"
fi


if [ -d "$1/rawhide" ]; then
echo -n "Creating Red Hat Linux Rawhide en links..."

if [ -d "$1/rawhide/i386" ]; then
echo -n " i386"
rm -f redhat/rawhide/en/i386/* 2>/dev/null
ln -s $1/rawhide/i386/RedHat/RPMS redhat/rawhide/en/i386/RPMS.os
ln -s $1/rawhide/SRPMS redhat/rawhide/en/i386/SRPMS.os
fi

if [ -d "$1/rawhide/ia64" ]; then
echo -n " ia64"
rm -f redhat/rawhide/en/ia64/* 2>/dev/null
ln -s $1/rawhide/ia64/RedHat/RPMS redhat/rawhide/en/ia64/RPMS.os
ln -s $1/rawhide/SRPMS redhat/rawhide/en/ia64/SRPMS.os
fi

if [ -d "$1/rawhide/s390" ]; then
echo -n " s390"
rm -f redhat/rawhide/en/s390/* 2>/dev/null
ln -s $1/rawhide/s390/RedHat/RPMS redhat/rawhide/en/s390/RPMS.os
ln -s $1/rawhide/SRPMS redhat/rawhide/en/s390/SRPMS.os
fi

echo " ...done"
fi

echo "You should now go into the apt tree and remove all unnecessary dirs and links."

